jQuery(document).ready(function() {
	jQuery('.contacts .country').click(function() {
		jQuery('.contacts .country').removeClass('showing');
		jQuery(this).addClass('showing');
	});
	
	jQuery('.contactfilter #filtercountry, .contactfilter #filterproduct').change(updateContactsFilter);
	
	
});


function updateContactsFilter() {
	var country = jQuery('#filtercountry').val();
	var product = jQuery('#filterproduct').val();
	
	jQuery('.country').removeClass('showing');
	
	jQuery('.countries .country').hide().removeClass('active');
	if (country.length > 0 && product.length > 0) {
		jQuery('.countries .country.'+country+'.'+product).addClass('active').addClass('showing');
	} else if (country.length > 0) {
		jQuery('.countries .country.'+country).addClass('active').addClass('showing');
	} else if (product.length > 0) {
		jQuery('.countries .country.'+product).addClass('active');
	} else {
		jQuery('.countries .country').addClass('active');
	}
	jQuery('.countries .country.active').show();
	
	if (product.length > 0) {
		jQuery('.contact').hide();
		jQuery('.contact.'+product).show();
	} else {
		jQuery('.contact').show();
	}
	
	jQuery('.continent').each(function() {
		var countries = jQuery(this).find('.country.active').length;
		if (countries == 0) {
			jQuery(this).hide();
		} else {
			jQuery(this).show();
		}
	});
	
	jQuery(markers).each(function() {
		var countries = this.data.country.split(',');
		for (var i=0; i<countries.length; i++) {
			var isvisible = jQuery('.country.'+countries[i]).hasClass('active');
			this.setVisible(isvisible);
		}
	});
	markerCluster.repaint();
	
	
}
