<?php
/*
Template Name: Sidebar left
*/
?>

<?php get_header(); ?>
			
	<div id="content" class="sidebar-left">
		
		<?php gulf_breadcrumbs() ?>
		
		<?php get_template_part( 'parts/page-elements', 'buttons' ); ?>
	
		<div id="inner-content" class="row">
	
		    <main id="main" class="large-9 medium-8 columns large-push-3 medium-push-4" role="main">
				
				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

					<?php get_template_part( 'parts/loop', 'page' ); ?>
					
				<?php endwhile; endif; ?>							

			</main> <!-- end #main -->
			
			<div class="sidebar large-3 medium-4 columns large-pull-9 medium-pull-8 sidebar-position-left">
				<?php get_sidebar(); ?>
			</div>
		    
		</div> <!-- end #inner-content -->
		
		<?php get_template_part( 'parts/page-elements', 'links' ); ?>		
	
		<?php get_template_part( 'parts/page-elements', 'banners' ); ?>

	</div> <!-- end #content -->

<?php get_footer(); ?>
